Package org.springframework.security.web.authentication.rememberme

# Class PersistentRememberMeToken

java.lang.Object
org.springframework.security.web.authentication.rememberme.PersistentRememberMeToken

public class PersistentRememberMeToken extends Object

## Constructor Summary

Constructors
Constructor
Description
`PersistentRememberMeToken(String username, String series, String tokenValue, Date date)`

## Method Summary

Modifier and Type
Method
Description
`Date`
`getDate()`
`String`
`getSeries()`
`String`
`getTokenValue()`
`String`
`getUsername()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PersistentRememberMeToken

public PersistentRememberMeToken(String username, String series, String tokenValue, Date date)

## Method Details

### getUsername

public String getUsername()

### getSeries

public String getSeries()

### getTokenValue

public String getTokenValue()

### getDate

public Date getDate()